import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeletePipelineInput } from "../types/DeletePipelineInput";
import { DeletePipelineOutput } from "../types/DeletePipelineOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/DeletePipelineInput";
export * from "../types/DeletePipelineOutput";
export * from "../types/DeletePipelineExceptionsUnion";
export declare class DeletePipelineCommand implements __aws_sdk_types.Command<InputTypesUnion, DeletePipelineInput, OutputTypesUnion, DeletePipelineOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: DeletePipelineInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeletePipelineInput, DeletePipelineOutput, Blob>;
    constructor(input: DeletePipelineInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<DeletePipelineInput, DeletePipelineOutput>;
}
