"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeregisterWebhookWithThirdParty_1 = require("../model/operations/DeregisterWebhookWithThirdParty");
var DeregisterWebhookWithThirdPartyCommand = /** @class */ (function () {
    function DeregisterWebhookWithThirdPartyCommand(input) {
        this.input = input;
        this.model = DeregisterWebhookWithThirdParty_1.DeregisterWebhookWithThirdParty;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeregisterWebhookWithThirdPartyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeregisterWebhookWithThirdPartyCommand;
}());
exports.DeregisterWebhookWithThirdPartyCommand = DeregisterWebhookWithThirdPartyCommand;
//# sourceMappingURL=DeregisterWebhookWithThirdPartyCommand.js.map