import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetPipelineExecutionInput } from "../types/GetPipelineExecutionInput";
import { GetPipelineExecutionOutput } from "../types/GetPipelineExecutionOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/GetPipelineExecutionInput";
export * from "../types/GetPipelineExecutionOutput";
export * from "../types/GetPipelineExecutionExceptionsUnion";
export declare class GetPipelineExecutionCommand implements __aws_sdk_types.Command<InputTypesUnion, GetPipelineExecutionInput, OutputTypesUnion, GetPipelineExecutionOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: GetPipelineExecutionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetPipelineExecutionInput, GetPipelineExecutionOutput, Blob>;
    constructor(input: GetPipelineExecutionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<GetPipelineExecutionInput, GetPipelineExecutionOutput>;
}
