import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PollForThirdPartyJobsInput } from "../types/PollForThirdPartyJobsInput";
import { PollForThirdPartyJobsOutput } from "../types/PollForThirdPartyJobsOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/PollForThirdPartyJobsInput";
export * from "../types/PollForThirdPartyJobsOutput";
export * from "../types/PollForThirdPartyJobsExceptionsUnion";
export declare class PollForThirdPartyJobsCommand implements __aws_sdk_types.Command<InputTypesUnion, PollForThirdPartyJobsInput, OutputTypesUnion, PollForThirdPartyJobsOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: PollForThirdPartyJobsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PollForThirdPartyJobsInput, PollForThirdPartyJobsOutput, Blob>;
    constructor(input: PollForThirdPartyJobsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<PollForThirdPartyJobsInput, PollForThirdPartyJobsOutput>;
}
