import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutThirdPartyJobSuccessResultInput } from "../types/PutThirdPartyJobSuccessResultInput";
import { PutThirdPartyJobSuccessResultOutput } from "../types/PutThirdPartyJobSuccessResultOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/PutThirdPartyJobSuccessResultInput";
export * from "../types/PutThirdPartyJobSuccessResultOutput";
export * from "../types/PutThirdPartyJobSuccessResultExceptionsUnion";
export declare class PutThirdPartyJobSuccessResultCommand implements __aws_sdk_types.Command<InputTypesUnion, PutThirdPartyJobSuccessResultInput, OutputTypesUnion, PutThirdPartyJobSuccessResultOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: PutThirdPartyJobSuccessResultInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutThirdPartyJobSuccessResultInput, PutThirdPartyJobSuccessResultOutput, Blob>;
    constructor(input: PutThirdPartyJobSuccessResultInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<PutThirdPartyJobSuccessResultInput, PutThirdPartyJobSuccessResultOutput>;
}
