import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RetryStageExecutionInput } from "../types/RetryStageExecutionInput";
import { RetryStageExecutionOutput } from "../types/RetryStageExecutionOutput";
import { CodePipelineResolvedConfiguration } from "../CodePipelineConfiguration";
export * from "../types/RetryStageExecutionInput";
export * from "../types/RetryStageExecutionOutput";
export * from "../types/RetryStageExecutionExceptionsUnion";
export declare class RetryStageExecutionCommand implements __aws_sdk_types.Command<InputTypesUnion, RetryStageExecutionInput, OutputTypesUnion, RetryStageExecutionOutput, CodePipelineResolvedConfiguration, Blob> {
    readonly input: RetryStageExecutionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RetryStageExecutionInput, RetryStageExecutionOutput, Blob>;
    constructor(input: RetryStageExecutionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodePipelineResolvedConfiguration): __aws_sdk_types.Handler<RetryStageExecutionInput, RetryStageExecutionOutput>;
}
