"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeletePipelineInput_1 = require("../shapes/DeletePipelineInput");
var DeletePipelineOutput_1 = require("../shapes/DeletePipelineOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeletePipeline = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeletePipeline",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeletePipelineInput_1.DeletePipelineInput
    },
    output: {
        shape: DeletePipelineOutput_1.DeletePipelineOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=DeletePipeline.js.map