"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListActionExecutionsInput_1 = require("../shapes/ListActionExecutionsInput");
var ListActionExecutionsOutput_1 = require("../shapes/ListActionExecutionsOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var PipelineExecutionNotFoundException_1 = require("../shapes/PipelineExecutionNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListActionExecutions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListActionExecutions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListActionExecutionsInput_1.ListActionExecutionsInput
    },
    output: {
        shape: ListActionExecutionsOutput_1.ListActionExecutionsOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: PipelineExecutionNotFoundException_1.PipelineExecutionNotFoundException
        }
    ]
};
//# sourceMappingURL=ListActionExecutions.js.map