"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListWebhooksInput_1 = require("../shapes/ListWebhooksInput");
var ListWebhooksOutput_1 = require("../shapes/ListWebhooksOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListWebhooks = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListWebhooks",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListWebhooksInput_1.ListWebhooksInput
    },
    output: {
        shape: ListWebhooksOutput_1.ListWebhooksOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        }
    ]
};
//# sourceMappingURL=ListWebhooks.js.map