"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCustomActionType_1 = require("../model/operations/CreateCustomActionType");
var CreateCustomActionTypeCommand = /** @class */ (function () {
    function CreateCustomActionTypeCommand(input) {
        this.input = input;
        this.model = CreateCustomActionType_1.CreateCustomActionType;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCustomActionTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCustomActionTypeCommand;
}());
exports.CreateCustomActionTypeCommand = CreateCustomActionTypeCommand;
//# sourceMappingURL=CreateCustomActionTypeCommand.js.map