"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListActionTypes_1 = require("../model/operations/ListActionTypes");
var ListActionTypesCommand = /** @class */ (function () {
    function ListActionTypesCommand(input) {
        this.input = input;
        this.model = ListActionTypes_1.ListActionTypes;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListActionTypesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListActionTypesCommand;
}());
exports.ListActionTypesCommand = ListActionTypesCommand;
//# sourceMappingURL=ListActionTypesCommand.js.map