"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PollForThirdPartyJobs_1 = require("../model/operations/PollForThirdPartyJobs");
var PollForThirdPartyJobsCommand = /** @class */ (function () {
    function PollForThirdPartyJobsCommand(input) {
        this.input = input;
        this.model = PollForThirdPartyJobs_1.PollForThirdPartyJobs;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PollForThirdPartyJobsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PollForThirdPartyJobsCommand;
}());
exports.PollForThirdPartyJobsCommand = PollForThirdPartyJobsCommand;
//# sourceMappingURL=PollForThirdPartyJobsCommand.js.map