"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutThirdPartyJobSuccessResultInput_1 = require("../shapes/PutThirdPartyJobSuccessResultInput");
var PutThirdPartyJobSuccessResultOutput_1 = require("../shapes/PutThirdPartyJobSuccessResultOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var JobNotFoundException_1 = require("../shapes/JobNotFoundException");
var InvalidJobStateException_1 = require("../shapes/InvalidJobStateException");
var InvalidClientTokenException_1 = require("../shapes/InvalidClientTokenException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutThirdPartyJobSuccessResult = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutThirdPartyJobSuccessResult",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutThirdPartyJobSuccessResultInput_1.PutThirdPartyJobSuccessResultInput
    },
    output: {
        shape: PutThirdPartyJobSuccessResultOutput_1.PutThirdPartyJobSuccessResultOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: JobNotFoundException_1.JobNotFoundException
        },
        {
            shape: InvalidJobStateException_1.InvalidJobStateException
        },
        {
            shape: InvalidClientTokenException_1.InvalidClientTokenException
        }
    ]
};
//# sourceMappingURL=PutThirdPartyJobSuccessResult.js.map