"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterWebhookWithThirdPartyInput_1 = require("../shapes/RegisterWebhookWithThirdPartyInput");
var RegisterWebhookWithThirdPartyOutput_1 = require("../shapes/RegisterWebhookWithThirdPartyOutput");
var ValidationException_1 = require("../shapes/ValidationException");
var WebhookNotFoundException_1 = require("../shapes/WebhookNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterWebhookWithThirdParty = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterWebhookWithThirdParty",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RegisterWebhookWithThirdPartyInput_1.RegisterWebhookWithThirdPartyInput
    },
    output: {
        shape: RegisterWebhookWithThirdPartyOutput_1.RegisterWebhookWithThirdPartyOutput
    },
    errors: [
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: WebhookNotFoundException_1.WebhookNotFoundException
        }
    ]
};
//# sourceMappingURL=RegisterWebhookWithThirdParty.js.map