"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ActionTypeId_1 = require("./_ActionTypeId");
var _ActionConfigurationMap_1 = require("./_ActionConfigurationMap");
var _OutputArtifactList_1 = require("./_OutputArtifactList");
var _InputArtifactList_1 = require("./_InputArtifactList");
exports._ActionDeclaration = {
    type: "structure",
    required: ["name", "actionTypeId"],
    members: {
        name: {
            shape: {
                type: "string",
                min: 1
            }
        },
        actionTypeId: {
            shape: _ActionTypeId_1._ActionTypeId
        },
        runOrder: {
            shape: {
                type: "integer",
                min: 1
            }
        },
        configuration: {
            shape: _ActionConfigurationMap_1._ActionConfigurationMap
        },
        outputArtifacts: {
            shape: _OutputArtifactList_1._OutputArtifactList
        },
        inputArtifacts: {
            shape: _InputArtifactList_1._InputArtifactList
        },
        roleArn: {
            shape: {
                type: "string"
            }
        },
        region: {
            shape: {
                type: "string",
                min: 4
            }
        }
    }
};
//# sourceMappingURL=_ActionDeclaration.js.map